
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "harvest/version"

Gem::Specification.new do |spec|
  spec.name          = "git-harvest"
  spec.version       = Harvest::VERSION
  spec.authors       = ["Abhinav Mishra"]
  spec.email         = ["makeawish880@gmail.com"]

  spec.summary       = %q{CLI for Harvest-JIRA Integration}
  spec.description   = 'CLI to log GIT activity on Harvest. Provides commands to initialize Harvest & JIRA integration & start logging on Harvest.'
  spec.homepage      = "https://github.com/abhinavmsra/harvest"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "thor"
  spec.add_dependency "rest-client"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "pry"
end
